org.apache.poi.xssf.usermodel.charts

## Class XSSFDateAxis

- java.lang.Object
- - org.apache.poi.xssf.usermodel.charts.XSSFChartAxis
  - - org.apache.poi.xssf.usermodel.charts.XSSFDateAxis

- All Implemented Interfaces:
    ChartAxis

  Deprecated.
  use `XDDFDateAxis` instead

      @Deprecated
       @Removal(version="4.2")
      public class XSSFDateAxis
      extends XSSFChartAxis

  Date axis type. Currently only implements the same values as `XSSFCategoryAxis`, since the two are nearly identical.

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.xssf.usermodel.charts.XSSFChartAxis

      `chart`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSSFDateAxis(XSSFChart chart, org.openxmlformats.schemas.drawingml.x2006.chart.CTDateAx ctDateAx)` Deprecated.
    `XSSFDateAxis(XSSFChart chart, long id, AxisPosition pos)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `crossAxis(ChartAxis axis)` Deprecated. Declare this axis cross another axis.
    `protected org.openxmlformats.schemas.drawingml.x2006.chart.CTAxPos` | `getCTAxPos()` Deprecated.
    `protected org.openxmlformats.schemas.drawingml.x2006.chart.CTCrosses` | `getCTCrosses()` Deprecated.
    `protected org.openxmlformats.schemas.drawingml.x2006.chart.CTNumFmt` | `getCTNumFmt()` Deprecated.
    `protected org.openxmlformats.schemas.drawingml.x2006.chart.CTScaling` | `getCTScaling()` Deprecated.
    `protected org.openxmlformats.schemas.drawingml.x2006.chart.CTBoolean` | `getDelete()` Deprecated.
    `long` | `getId()` Deprecated.
    `org.openxmlformats.schemas.drawingml.x2006.main.CTShapeProperties` | `getLine()` Deprecated.
    `protected org.openxmlformats.schemas.drawingml.x2006.chart.CTTickMark` | `getMajorCTTickMark()` Deprecated.
    `org.openxmlformats.schemas.drawingml.x2006.chart.CTChartLines` | `getMajorGridLines()` Deprecated.
    `protected org.openxmlformats.schemas.drawingml.x2006.chart.CTTickMark` | `getMinorCTTickMark()` Deprecated.
    `boolean` | `hasNumberFormat()` Deprecated. Use this to check before retrieving a number format, as calling `ChartAxis.getNumberFormat()` may create a default one if none exists.

    - ### Methods inherited from class org.apache.poi.xssf.usermodel.charts.XSSFChartAxis

      `getCrosses, getLogBase, getMajorTickMark, getMaximum, getMinimum, getMinorTickMark, getNumberFormat, getOrientation, getPosition, isSetLogBase, isSetMaximum, isSetMinimum, isVisible, setCrosses, setLogBase, setMajorTickMark, setMaximum, setMinimum, setMinorTickMark, setNumberFormat, setOrientation, setPosition, setVisible`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XSSFDateAxis

          public XSSFDateAxis(XSSFChart chart,
                              long id,
                              AxisPosition pos)

      Deprecated.

    - #### XSSFDateAxis

          public XSSFDateAxis(XSSFChart chart,
                              org.openxmlformats.schemas.drawingml.x2006.chart.CTDateAx ctDateAx)

      Deprecated.

  - ### Method Detail

    - #### getId

          public long getId()

      Deprecated.
      Returns:
        axis id

    - #### getLine

          @Internal
          public org.openxmlformats.schemas.drawingml.x2006.main.CTShapeProperties getLine()

      Deprecated.
      Specified by:
        `getLine` in class `XSSFChartAxis`

    - #### getCTAxPos

          protected org.openxmlformats.schemas.drawingml.x2006.chart.CTAxPos getCTAxPos()

      Deprecated.
      Specified by:
        `getCTAxPos` in class `XSSFChartAxis`

    - #### getCTNumFmt

          protected org.openxmlformats.schemas.drawingml.x2006.chart.CTNumFmt getCTNumFmt()

      Deprecated.
      Specified by:
        `getCTNumFmt` in class `XSSFChartAxis`

    - #### getCTScaling

          protected org.openxmlformats.schemas.drawingml.x2006.chart.CTScaling getCTScaling()

      Deprecated.
      Specified by:
        `getCTScaling` in class `XSSFChartAxis`

    - #### getCTCrosses

          protected org.openxmlformats.schemas.drawingml.x2006.chart.CTCrosses getCTCrosses()

      Deprecated.
      Specified by:
        `getCTCrosses` in class `XSSFChartAxis`

    - #### getDelete

          protected org.openxmlformats.schemas.drawingml.x2006.chart.CTBoolean getDelete()

      Deprecated.
      Specified by:
        `getDelete` in class `XSSFChartAxis`

    - #### getMajorCTTickMark

          protected org.openxmlformats.schemas.drawingml.x2006.chart.CTTickMark getMajorCTTickMark()

      Deprecated.
      Specified by:
        `getMajorCTTickMark` in class `XSSFChartAxis`

    - #### getMinorCTTickMark

          protected org.openxmlformats.schemas.drawingml.x2006.chart.CTTickMark getMinorCTTickMark()

      Deprecated.
      Specified by:
        `getMinorCTTickMark` in class `XSSFChartAxis`

    - #### getMajorGridLines

          @Internal
          public org.openxmlformats.schemas.drawingml.x2006.chart.CTChartLines getMajorGridLines()

      Deprecated.
      Specified by:
        `getMajorGridLines` in class `XSSFChartAxis`

    - #### crossAxis

          public void crossAxis(ChartAxis axis)

      Deprecated.
      Description copied from interface: `ChartAxis`
      Declare this axis cross another axis.
      Parameters:
        `axis` - that this axis should cross

    - #### hasNumberFormat

          public boolean hasNumberFormat()

      Deprecated.
      Description copied from interface: `ChartAxis`
      Use this to check before retrieving a number format, as calling `ChartAxis.getNumberFormat()` may create a default one if none exists.
      Returns:
        true if a number format element is defined, false if not

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.